<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Carte_souscription extends Model
{
    /** @use HasFactory<\Database\Factories\CarteSouscriptionFactory> */
    use HasFactory;
    protected $fillable = [
        'annee',
        'montant',
        'situation',
        'status',
        'personne_id',
        'service_id',
        'devise_id',
    ];

    public function service()
    {
        return $this->belongsTo(Service::class);
    }
    public function personne()
    {
        return $this->belongsTo(Personne::class);
    }

    public function devise()
    {
        return $this->belongsTo(Devise::class);
    }
}